require "redis_provider_freedom/version"

module RedisProviderFreedom

  def self.current_uri
    return unless ENV["REDIS_PROVIDER_URL_KEY"]

    URI.parse(ENV[ENV["REDIS_PROVIDER_URL_KEY"]])
  end

  def self.current_redis
    if current_uri
      Redis.new(:host => current_uri.host, :port => current_uri.port, :password => current_uri.password)
    else
      Redis.new
    end
  end

end
